.detail-form {
    height: 100%;
    max-height: 100%;
    min-height: 100%;
    width: 100%;
    min-width: 100%;
    max-width: 100%;
}

.detail-form-body {
    height: 100%;
    max-height: 100%;
    min-height: 100%;
    width: 100%;
    min-width: 100%;
    max-width: 100%;
}

.detail-form-body-no-header {
    height: calc(100% - -40px);
    max-height: calc(100% - -40px);
    min-height: calc(100% - -40px);
    width: 100%;
    min-width: 100%;
    max-width: 100%;
}

.detail-form-header-title {
    position: relative;
    height: 40px;
    width: 100%;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    overflow: hidden;
}

.detail-form-img {
    margin: 0px 10px 0px 10px;
    color: var(--oj-brand-color-light4);
    min-width: 16px !important;
    min-height: 16px !important;
}

.detail-form-title {
    color: var(--oj-brand-color-light4);
    width: calc(100% - 175px);
    min-width: calc(100% - 175px);
    max-width: calc(100% - 175px);
}

.detail-form-font-brand {
    color: var(--oj-brand-color-light4);
    width: 150px;
}

.detail-form-font-brand:hover {
    cursor: pointer;
}

.detail-form-max-header {
    height: 62px;
    max-height: 62px;
    min-height: 62px;
    width: 100%;
    min-width: 100%;
    max-width: 100%;
}

.detail-form-min-header {
    display: none;
}

.detail-form-content {
    width: calc(100% - 2px);
    max-width: calc(100% - 2px);
    min-width: calc(100% - 2px);
    height: calc(100% - 42px);
    min-height: calc(100% - 42px);
    max-height: calc(100% - 42px);
    border: var(--meet-border) 1px solid;
    background: var(--oj-brand-color-light2);
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

.detail-form-header-search {
    height: 62px;
    padding: 10px 0px 0px 10px;
}

.detail-form-header-search-content {
    height: 52px;
    min-height: 52px;
    max-height: 52px;
    width: 100%;
    min-width: 100%;
    max-width: 100%;
    border: var(--meet-border) 1px solid;
    background: var(--oj-brand-color-light3);
    border-radius: 5px;
    padding-left: 10px;
    padding-right: 10px;
}

.detail-form-header-separator {
    padding-left: 8px;
}

@media (min-width: 0px) And (max-width: 688px) {
    .detail-form-field-search {
        max-width: calc(100% - 55px);
    }

    .meet-active-filters .detail-base-field-filters {
        display: none;
    }

    .detail-base-field-order {
        display: none;
    }
}

@media (min-width: 689px) And (max-width: 1076px) {
    .detail-base-field-order {
        display: none;
    }
}

@media (min-width: 1077px) And (max-width: 3000px) {
    .detail-base-field-order {
        display: block;
    }
}

.detail-form-header-buttons {
    height: 62px;
    padding: 10px 0px 0px 12px;
}

.detail-form-header-buttons-content {
    height: 52px;
    min-height: 52px;
    max-height: 52px;
    width: calc(100% - 0px);
    min-width: calc(100% - 10px);
    max-width: calc(100% - 10px);
    border: var(--meet-border) 1px solid;
    background: var(--oj-brand-color-light3);
    border-radius: 5px;
}

.no-list-form-header-buttons-content {
    height: 52px;
    min-height: 52px;
    max-height: 52px;
    width: calc(100% - 0px);
    min-width: calc(100% - 0px);
    max-width: calc(100% - 0px);
    border: var(--meet-border) 1px solid;
    background: var(--oj-brand-color-light3);
    border-radius: 5px;
    margin-bottom: 10px;
}

.no-list-form-no-list-detail-panel-no-buttons {
    height: calc(100% - 87px);
    max-height: calc(100% - 87px);
    min-height: calc(100% - 87px);
    width: calc(100% - 22px);
    min-width: calc(100% - 22px);
    max-width: calc(100% - 22px);
    padding: 10px;
    border: var(--meet-border) 1px solid;
    overflow-y: auto;
    background: var(--oj-brand-color-light3);
    border-radius: 5px;
}

.no-list-form-panel-no-buttons {
    height: calc(100% - 22px);
    min-height: calc(100% - 22px);
    max-height: calc(100% - 22px);
    width: calc(100% - 22px);
    min-width: calc(100% - 22px);
    max-width: calc(100% - 22px);
    padding: 10px;
    border: var(--meet-border) 1px solid;
    overflow-y: auto;
    background: var(--oj-brand-color-light3);
    border-radius: 5px;
}

.no-list-form-table-content {
    padding: 2px;
    height: calc(100% - 50px);
    max-height: calc(100% - 50px);
}

.detail-components-detail-panel-title {
    margin-bottom: 10px;
    padding-right: 10px;
}

.detail-components-detail-panel-title-modal {
    margin-bottom: 10px;
    margin-top: 10px;
    padding-right: 10px;
}

.no-list-form-min-content {
    height: calc(100% - 2px);
    min-height: calc(100% - 2px);
    max-height: calc(100% - 2px);
    width: calc(100% - 152px);
    min-width: calc(100% - 152px);
    max-width: calc(100% - 152px);
    padding: 10px;
}

.no-list-form-buttons-bar {
    width: 142px;
    min-width: 142px;
    max-width: 142px;
    height: calc(100% - 22px);
    min-height: calc(100% - 22px);
    max-height: calc(100% - 22px);
    border-radius: 5px;
    margin-top: 10px;
    border: 1px solid var(--meet-border);
    background: var(--oj-brand-color-light3);
    padding: 10px;
}

.no-list-form-content-table {
    height: calc(100% - 63px);
    width: 100%;
    min-width: 100%;
    max-width: 100%;
    border-radius: 5px;
    background: green;
}

.no-list-form--detail-panel-no-buttons {
    height: calc(100% - 23px);
    min-height: calc(100% - 23px);
    max-height: calc(100% - 23px);
    width: calc(100% - 22px);
    min-width: calc(100% - 22px);
    max-width: calc(100% - 22px);
    padding: 10px;
    border: var(--meet-border) 1px solid;
    overflow-y: auto;
    background: var(--oj-brand-color-light2);
    border-radius: 5px;
}

.detail-form-table-footer-item-l {
    color: var(--oj-brand-color-light4);
    font-weight: 600;
    text-align: right;
}


.detail-form-font-brand {
    color: var(--oj-brand-color-light4);
    width: 150px;
}

.detail-form-font-brand:hover {
    cursor: pointer;
}


.detail-form-min-content {
    height: calc(100% - 62px);
    min-height: calc(100% - 62px);
    max-height: calc(100% - 62px);
    width: 100%;
    min-width: 100%;
    max-width: 100%;
    padding: 10px;
}

.detail-form-max-content {
    height: 100%;
    min-height: 100%;
    max-height: 100%;
    width: 100%;
    min-width: 100%;
    max-width: 100%;
    padding: 10px;
}

.detail-form-list {
    height: 100%;
    min-height: 100%;
    max-height: 100%;
    padding: 0px 0px 0px 0px;
}

.detail-form-list-content {
    height: 100%;
    min-height: 100%;
    max-height: 100%;
    width: 100% !important;
    max-width: 100% !important;
    min-width: 100% !important;
}

.detail-form-list-title {
    height: 40px;
    max-height: 40px !important;
    min-height: 40px !important;
    width: calc(100% - 0px);
    min-width: calc(100% - 0px);
    max-width: calc(100% - 0px);
    border: var(--oj-brand-color) 1px solid;
    background: var(--oj-brand-color);
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.detail-form-list-panel {
    width: calc(100% - 22px);
    min-width: calc(100% - 22px);
    max-width: calc(100% - 22px);
    height: calc(100% - 62px);
    min-height: calc(100% - 62px);
    max-height: calc(100% - 62px);
    border: var(--meet-border) 1px solid;
    background: var(--oj-brand-color-light3);
    padding: 10px;
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
    overflow: hidden;
}

.detail-form-list-element {
    min-width: 100px !important;
    width: 100% !important;
    padding-left: 5px;
    margin-bottom: 3px;
}

.detail-form-min-detail {
    height: 100% !important;
    min-height: 100% !important;
    max-height: 100% !important;
    padding: 0px 0px 0px 10px;
}

.detail-form-max-detail {
    height: 100% !important;
    min-height: 100% !important;
    max-height: 100% !important;
    padding: 0px 0px 0px 0px;
}

.detail-form-detail-title {
    height: 40px;
    max-height: 40px !important;
    min-height: 40px !important;
    width: calc(100% - 0px);
    min-width: calc(100% - 0px);
    max-width: calc(100% - 0px);
    border: var(--oj-brand-color) 1px solid;
    background: var(--oj-brand-color);
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.detail-form-detail-bar-title {
    width: calc(100% - 55px);
    padding-left: 10px;
    color: var(--oj-brand-color-light4);
}

.detail-form-detail-content {
    height: calc(100% - 9px) !important;
    min-height: calc(100% - 9px) !important;
    max-height: calc(100% - 9px) !important;
    width: calc(100% - 0px) !important;
    max-width: calc(100% - 0px) !important;
    min-width: calc(100% - 0px) !important;
}

.detail-form-detail-panel {
    height: calc(100% - 104px);
    min-height: calc(100% - 104px);
    max-height: calc(100% - 104px);
    width: calc(100% - 22px);
    min-width: calc(100% - 22px);
    max-width: calc(100% - 22px);
    padding: 10px;
    border: var(--meet-border) 1px solid;
    border-bottom: transparent;
    overflow-y: auto;
    background: var(--oj-brand-color-light3);
}

.detail-form-detail-panel-title {
    font-weight: bold;
}

.detail-form-detail-buttons {
    height: 52px;
    min-height: 52px;
    max-height: 52px;
    width: 100%;
    min-width: 100%;
    max-width: 100%;
    padding-right: 10px;
    background: var(--oj-brand-color-light3);
    border: var(--meet-border) 1px solid;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

.detail-form-detail-panel-content {
    background: var(--oj-brand-color-light2);
    border: var(--meet-border) 1px solid;
    border-radius: 5px;
    padding: 10px 0px 6px 10px;
    height: fit-content;
}

.detail-form-detail-panel-content-unlimited {
    background: var(--oj-brand-color-light2);
    border: var(--meet-border) 1px solid;
    border-radius: 5px;
    padding: 10px 10px 6px 10px;
    height: fit-content;
    margin-right: 10px;
    width: calc(100% - 32px);
}

.detail-form-detail-panel-content-limited {
    background: var(--oj-brand-color-light2);
    border: var(--meet-border) 1px solid;
    border-radius: 5px;
    padding: 10px 10px 6px 10px;
    max-height: 223px;
    margin-right: 10px;
    overflow-y: auto;
    width: calc(100% - 32px);
}

.detail-form-detail-panel-content-inside-unlimited {
    background: var(--oj-brand-color-light2);
    height: fit-content;
}

.detail-form-detail-panel-content-inside-limited {
    background: var(--oj-brand-color-light2);
    max-height: 204px;
    overflow-y: auto;
}

.detail-form-detail-panel-content-no-list {
    background: var(--oj-brand-color-light2);
    border: var(--meet-border) 1px solid;
    border-radius: 5px;
    padding: 10px 0px 6px 10px;
    height: calc(100% - 264px);
    min-height: 400px;
    max-height: calc(100% - 264px);
}

.detail-form-detail-panel-content-table {
    background: var(--oj-brand-color-light2);
    border: var(--meet-border) 1px solid;
    border-radius: 5px;
    height: fit-content;
}

.detail-form-detail-panel-content-tabs {
    background: var(--oj-brand-color-light2);
    border: var(--meet-border) 1px solid;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    height: fit-content;
}

.detail-form-detail-panel-title {
    font-weight: bold;
}

.detail-form-all-padding {
    padding: 0px 10px 0px 10px !important;
}

.detail-form-button-separator {
    margin-left: 10px !important;
}

.detail-form-button-small-separator {
    margin-left: 5px !important;
}

.detail-form-button-expand {
    color: var(--oj-brand-color);
}

.detail-form-button-expand:hover {
    cursor: pointer;
}

.detail-active-filter button {
    background: var(--oj-brand-color) !important;
}

.detail-active-filter span {
    color: var(--oj-brand-color-light4) !important;
}

.detail-form-button-double-separator {
    margin-left: 30px !important;
}

.detail-form-list-check-all {
    max-width: 33px;
    padding: 0px 5px 0px 10px;
}

.detail-form-list-check {
    max-width: 25px;
}

.detail-form-check-list .oj-radiocheckbox-icon {
    color: var(--oj-brand-color) !important;
    align-items: baseline;
    margin-top: 4px;
}

.detail-form-check-list-all .oj-radiocheckbox-icon {
    color: var(--oj-brand-color-light4) !important;
    padding-left: 4px !important;
}

.detail-form-list-tab-bar-with-all-check {
    min-width: calc(100% - 78px);
    max-width: calc(100% - 78px);
    height: 100%;
    overflow: hidden;
}

.detail-form-list-tab-bar-with-all-check {
    min-width: calc(100% - 78px);
    max-width: calc(100% - 78px);
    height: 100%;
    overflow: hidden;
}

.detail-form-list-tab-bar-with-all-check li:hover {
    background: var(--oj-brand-color-dark1) !important;
    border-top-left-radius: 5px !important;
    border-top-right-radius: 5px !important;
}

.detail-form-list-tab-bar-with-all-check .oj-selected {
    background: var(--oj-brand-color-dark1) !important;
}

.detail-form-list-tab-bar-with-all {
    min-width: calc(100% - 42px);
    max-width: calc(100% - 42px);
    height: 100%;
    overflow: hidden;
}

.detail-form-list-tab-bar-with-all li:hover {
    background: var(--oj-brand-color-dark1) !important;
    border-top-left-radius: 5px !important;
    border-top-right-radius: 5px !important;
}

.detail-form-list-tab-bar-with-all .oj-selected {
    background: var(--oj-brand-color-dark1) !important;
}

.detail-form-list-tab-bar-with-all-check .oj-conveyorbelt-overflow-indicator.oj-hover {
    background-color: var(--oj-brand-color-dark2) !important;
    background-image: none !important;
    border-color: var(--oj-brand-color-dark2) !important;
}

.detail-form-list-tab-bar-with-all .oj-conveyorbelt-overflow-indicator.oj-hover {
    background-color: var(--oj-brand-color-dark2) !important;
    background-image: none !important;
    border-color: var(--oj-brand-color-dark2) !important;
}

.detail-form-list-tab-bar-with-all-check .oj-conveyorbelt-overflow-indicator.oj-default .oj-conveyorbelt-overflow-icon {
    color: var(--oj-brand-color-light4) !important;
}

.detail-form-list-tab-bar-with-all-check .oj-conveyorbelt-overflow-indicator.oj-hover .oj-conveyorbelt-overflow-icon {
    color: var(--oj-brand-color-light4) !important;
}

.detail-form-list-tab-bar-with-all .oj-conveyorbelt-overflow-indicator.oj-default .oj-conveyorbelt-overflow-icon {
    color: var(--oj-brand-color-light4) !important;
}

.detail-form-list-tab-bar-with-all .oj-conveyorbelt-overflow-indicator.oj-hover .oj-conveyorbelt-overflow-icon {
    color: var(--oj-brand-color-light4) !important;
}

.detail-form-list-tabs-bar {
    min-width: calc(100% - 0px);
    max-width: calc(100% - 0px);
    height: 100%;
    overflow: hidden;
}

.detail-form-list-tabs-bar li:hover {
    background: var(--oj-brand-color-dark1) !important;
    border-top-left-radius: 5px !important;
    border-top-right-radius: 5px !important;
}

.detail-form-list-tabs-bar .oj-selected {
    background: var(--oj-brand-color-dark1) !important;
}

.detail-form-list-tabs-bar .oj-conveyorbelt-overflow-indicator.oj-default .oj-conveyorbelt-overflow-icon {
    color: var(--oj-brand-color-light4) !important;
}

.detail-form-list-tabs-bar .oj-conveyorbelt-overflow-indicator.oj-hover .oj-conveyorbelt-overflow-icon {
    color: var(--oj-brand-color-light4) !important;
}

.detail-form-list-tabs-bar .oj-conveyorbelt-overflow-indicator.oj-hover {
    background-color: var(--oj-brand-color-dark2) !important;
    background-image: none !important;
    border-color: var(--oj-brand-color-dark2) !important;
}

.oj-tabbar-horizontal .oj-tabbar-item-element {
    min-height: 38px;
}

.detail-form-list-content-elements {
    min-width: calc(100% - 105px) !important;
    max-width: calc(100% - 105px) !important;
    overflow: hidden;
}

.detail-form-favourite {
    min-width: 80px;
    max-width: 80px;
    padding-left: 5px;
}

.detail-form-favourite-content {
    height: fit-content;
}

.detail-form-favourite-start {
    color: var(--oj-brand-color);
    width: 100%;
    height: 22px;
    text-align: center;
    margin-top: 6px;
}

.detail-form-favourite-start:hover {
    cursor: pointer;
}

.detail-form-favourite-element {
    width: 100%;
    max-height: 22px;
    margin-top: 6px;
    color: white;
    border-radius: 5px;
}

.detail-form-list-tab-bar {
    min-width: calc(100% - 0px);
    max-width: calc(100% - 0px);
    height: 100%;
    overflow: hidden;
}

.detail-form-list-tab-bar li:hover {
    background: var(--oj-brand-color-dark1) !important;
    border-top-left-radius: 5px !important;
    border-top-right-radius: 5px !important;
}

.detail-form-list-tab-bar .oj-selected {
    background: var(--oj-brand-color-dark1) !important;
}

.detail-form-list-icon {
    font-size: 40px;
    color: var(--oj-brand-color);
}

.detail-form-list-label {
    max-width: 100%;
    min-width: 100%;
    width: 100%;
    height: 19px;
    font-size: var(--oj-label-font-size);
    font-weight: bold;
}

.detail-form-list-field {
    min-width: 100%;
    width: 100%;
    max-height: calc(100% - 19px);
    font-size: var(--oj-label-font-size);
    text-overflow: ellipsis;
    overflow-x: hidden;
    word-break: break-all;
}

.simple-form-header-sec-max {
    visibility: visible;
}

.simple-form-list-min-max {
    min-width: 45px;
    max-width: 45px;
}

.detail-form-filters {
    width: 350px;
    max-width: 350px;
    min-width: 350px;
    height: 100%;
    min-height: 100%;
    max-height: 100%;
    padding-right: 10px;
}

.detail-form-filters-header {
    width: 340px;
    max-width: 340px;
    min-width: 340px;
    height: 40px;
    min-height: 40px;
    max-height: 40px;
    background: var(--oj-brand-color) !important;
    border-top-left-radius: 5px !important;
    border-top-right-radius: 5px !important;
}

.detail-form-filters-body {
    width: 318px;
    max-width: 338px;
    min-width: 338px;
    height: calc(100% - 42px);
    min-height: calc(100% - 42px);
    max-height: calc(100% - 42px);
    background: var(--oj-brand-color-light2);
    border: var(--meet-border) 1px solid;
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
}

.detail-form-filters-title {
    color: var(--oj-brand-color-light4);
}

.detail-form-filters-panel {
    height: 100%;
    min-height: 100%;
    max-height: 100%;
    width: 100%;
    min-width: 100%;
    max-width: 100%;
    background: var(--oj-brand-color-light3);
    border: var(--meet-border) 1px solid;
    border-radius: 5px;
}

.detail-form-tab-bar {
    background: var(--oj-brand-color);
}

.detail-form-tab-element {
    padding: 0px 10px 10px 0px;
}

.detail-form-tab-element-modal {
    padding: 0px 0px 0px 0px;
}

.detail-form-tab-element-modal-table {
    padding: 0px 10px 10px 10px;
}

.detail-form-table-buttons {
    height: 52px;
    max-height: 52px;
    min-height: 52px;
}

.xdetail-form-content-header {
    height: 34px;
    max-height: 34px;
    min-height: 34px;
    padding-right: 10px;
}

.xdetail-form-table-buttons {
    height: 34px;
    max-height: 34px;
    min-height: 34px;
}

.xdetail-form-table-without-buttons {
    height: 34px;
    max-height: 34px;
    min-height: 34px;
    padding-right: 10px;
}

.detail-form-table-header-label {
    font-weight: 400 !important;
    text-align: center !important;
}

.detail-form-tab-title {
    height: 40px;
    max-height: 40px !important;
    min-height: 40px !important;
    width: 100%;
    min-width: 100%;
    max-width: 100%;
    border: var(--oj-brand-color) 1px solid;
    border: 0px;
    background: var(--oj-brand-color);
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.detail-form-table-element {
    padding-left: 7px !important;
    padding-right: 7px !important;
}


.detail-form-switch-separator {
    margin-left: 5px;
}

.detail-form-column-table {
    width: 100% !important;
}

.detail-form-paging {
    height: 50px !important;
    background: var(--oj-brand-color-light3);
    border: var(--meet-border-table) 1px solid;
    border-top: transparent;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

.detail-form-paging-with-total {
    height: 50px !important;
    background: var(--oj-brand-color-light3);
    border: var(--meet-border-table) 1px solid;
    border-top: transparent;
}

.detail-form-paging-within-total {
    width: 100%;
    max-width: 100%;
    min-width: 100%;
    height: 54px;
    padding: 0px 10px 0px 0px;
    border-top: 1px solid var(--oj-core-divider-color) !important;
    background: var(--oj-brand-color-light3);
}

.detail-form-paging-element-with-total {
    min-width: calc(100% - 200px);
    max-width: calc(100% - 200px);
    width: calc(100% - 200px);
}

.detail-form-paging-element-without-total {
    min-width: calc(100% - 00px);
    max-width: calc(100% - 00px);
    width: calc(100% - 00px);
}

.detail-form-paging-element-total {
    min-width: 200px;
    max-width: 200px;
    width: 200px;
    text-align: end;
    color: var(--oj-brand-color-dark2);
}

.detail-form-search-detail-hide {
    display: none;
}

.detail-form-table-container {
    min-width: calc(100% - 2px);
    max-width: calc(100% - 2px);
    overflow-x: hidden;
    overflow-y: hidden;
    border: 1px solid var(--meet-border-table);
    border-bottom: 0px;
    border-top-left-radius: 5px !important;
    border-top-right-radius: 5px !important;
}

.detail-form-table {
    padding: 0px !important;
    margin: 0px !important;
    margin-top: 10px;
    border: 1px solid var(--meet-border-table);
    border-bottom: 0px;
    border-top-left-radius: 5px !important;
    border-top-right-radius: 5px !important;
    width: 1px !important;
    min-width: 100% !important;
    max-width: 100% !important;
    min-height: 100% !important;
    max-height: 580px !important;
}

.detail-form-table-unlimited {
    padding: 0px !important;
    margin: 0px !important;
    margin-top: 10px;
    border: 1px solid var(--meet-border-table) !important;
    border-radius: 5px !important;
    width: 1px !important;
    min-width: 100% !important;
    max-width: 100% !important;
    max-height: 100%;
}

.detail-form-table-unlimited-normal {
    padding: 0px !important;
    margin: 0px !important;
    margin-top: 10px;
    border: 1px solid var(--meet-border-table) !important;
    border-top-left-radius: 5px !important;
    border-top-right-radius: 5px !important;
    width: 1px !important;
    min-width: 100% !important;
    max-width: 100% !important;
    max-height: 100%;
}

.detail-form-table tfoot {
    border-bottom: 1px solid #e0e1e1 !important;
}

.detail-table-modal {
    width: 100%;
    max-width: 100%;
    min-width: 100%;
    height: 100%;
    min-height: 100%;
    max-height: 100%;
    padding: 10px;
}

.detail-table-modal-main {
    width: calc(100% - 52px);
    min-width: calc(100% - 52px);
    max-width: calc(100% - 52px);
    height: calc(100% - 90px);
    min-height: calc(100% - 90px);
    max-height: calc(100% - 90px);
    background: var(--oj-brand-color-light3);
    border: 1px solid var(--meet-border);
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border-bottom: 0px;
    padding: 10px;
    overflow-y: auto !important;
    margin-left: 20px;
}

.detail-table-modal-main-no-buttons {
    width: calc(100% - 42px);
    min-width: calc(100% - 42px);
    max-width: calc(100% - 42px);
    height: calc(100% - 40px);
    min-height: calc(100% - 40px);
    max-height: calc(100% - 40px);
    background: var(--oj-brand-color-light3);
    border: 1px solid var(--meet-border);
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
    padding: 10px;
}

.detail-table-modal-content {
    background: var(--oj-brand-color-light2);
    border: 1px solid var(--meet-border);
    border-radius: 5px;
    height: calc(100% - 12px);
    max-height: calc(100% - 12px);
    width: calc(100% - 22px);
    width: calc(100% - 22px);
    max-width: calc(100% - 22px);
    padding: 10px 10px 0px 10px;
    overflow-y: auto;
}

.detail-table-modal-main-form-layout>div {
    height: 100% !important;
}

.detail-table-modal-buttons {
    height: 50px;
    width: calc(100% - 30px);
    min-width: calc(100% - 30px);
    max-width: calc(100% - 30px);
    background: var(--oj-brand-color-light3);
    border: 1px solid var(--meet-border);
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    padding: 0px 10px 0px 10px;
    margin-left: 20px;
}

.detail-table-modal-buttons-01 {
    width: 90px;
}

.detail-table-modal-buttons-02 {
    width: calc(100% - 90px);
    text-align: end;
}

.detail-table-row-nums {
    width: 100%;
    height: 35px;
    border: 1px solid var(--meet-border-table);
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    border-top: 0px;
    background: var(--oj-brand-color-light3);
    padding: 0px 10px 0px 10px;
}

.detail-table-header {
    height: 75px;
    width: 100%;
    background: var(--meet-background-header);
    border: 1px solid var(--meet-border-table);
    border-bottom: 0px;
    border-top-left-radius: 5px !important;
    border-top-right-radius: 5px !important;
    overflow-x: auto;
}

.detail-table-header-item {
    width: calc(100% - 10px);
    border-right: 1px solid var(--meet-border-table);
}

.detail-form-conveyor-buttons .oj-conveyorbelt-overflow-indicator.oj-default .oj-conveyorbelt-overflow-icon {
    color: #8a8d8f !important;
}

.detail-form-conveyor-buttons .oj-conveyorbelt-overflow-indicator.oj-hover .oj-conveyorbelt-overflow-icon {
    color: #8a8d8f !important;
}

.detail-form-conveyor-buttons {
    padding-right: 10px;
}

.detail-form-list-panel-bottom {
    background: var(--oj-brand-color-light3);
    width: calc(100% - 0px);
    height: 52px;
    border: var(--meet-border) 1px solid;
    border-top: transparent;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    padding-right: 10px;
}

.detail-form-detail-title-bar {
    height: 32px;
}

.detail-form-detail-table-title {
    width: 200px;
    font-weight: bold;
}

.detail-form-detail-table-bar-buttons {
    width: calc(100% - 200px);
}

.detail-form-list-panel-with-total {
    width: calc(100% - 22px);
    min-width: calc(100% - 22px);
    max-width: calc(100% - 22px);
    height: calc(100% - 113px);
    min-height: calc(100% - 113px);
    max-height: calc(100% - 113px);
    border: var(--meet-border) 1px solid;
    background: var(--oj-brand-color-light3);
    padding: 10px;
    overflow: hidden;
}

.detail-form-table-field {
    white-space: normal;
    word-wrap: break-word;
    vertical-align: middle;
    padding: 0px 8px 0px 8px !important;
}

.detail-form-check-table .oj-radiocheckbox-icon {
    color: var(--oj-brand-color) !important;
}

.detail-form-check-table .oj-choice-item {
    height: 20px !important;
}

.detail-form-table-footer-item {
    color: var(--oj-brand-color-light2);
    font-weight: 600;
    text-align: right;
}

.detail-form-table-content {
    padding: 0px 10px 0px 10px;
    height: calc(100% - 50px);
    max-height: calc(100% - 50px);
}

.detail-form-detail-panel-content-fields {
    background: var(--oj-brand-color-light2);
    border: var(--meet-border) 1px solid;
    border-radius: 5px;
    padding: 10px 10px 0px 10px;
    height: 165px !important;
    max-height: 165px !important;
    overflow-y: auto;
}

.detail-form-inside-panel {
    overflow-y: auto;
    height: 136px;
    padding-right: 10px;
}

.detail-form-formlayout-panel>.oj-form>.oj-flex>.oj-flex-item:not(.oj-formlayout-nested-formlayout):not(.oj-formlayout-nested-labelvalue) {
    margin: 0px !important;
}

.detail-form-detail-panel-tab {
    margin-top: 10px;
    height: fit-content;
    padding-left: 10px;
    border: 1px solid var(--meet-border);
    border-radius: 5px;
}

.detail-form-table.oj-table-grid-display .oj-table-data-cell {
    padding: 0px !important;
}

.detail-form-table-data-cell {
    padding: 8px !important;
}

.delete-detail-record {
    background: rgb(248, 141, 141) !important;
    padding: 8px;
    height: 100%;
}

.detail-form-table .oj-table-element:not(.oj-table-column-header-resizing) .oj-table-data-cell.oj-selected,
.oj-table-element:not(.oj-table-column-header-resizing) .oj-table-selector-cell.oj-selected {
    background-image: linear-gradient(var(--meet-table-row-selected), var(--meet-table-row-selected));
}

.delete-detail-record-element.oj-table-data-cell.oj-selected {
    background: linear-gradient(to right, var(--meet-table-row-selected-deleted) 0%, var(--meet-table-row-selected-deleted) 100%) !important;
    padding: 8px;
}

.detail-form-table-check {
    width: 33px !important;
    max-width: 33px !important;
    min-width: 33px !important;
    text-align: center !important;
    padding-left: 5px !important;
    margin: auto !important;
}

.detail-form-table-check-center {
    width: 33px !important;
    max-width: 33px !important;
    min-width: 33px !important;
    text-align: center !important;
    padding-left: 4px !important;
    height: fit-content !important;
}

.detail-form-table-check-center .oj-radiocheckbox-icon {
    max-height: 20px !important;
    align-items: center;
}

.detail-form-go-detail {
    min-width: 30px;
    max-width: 30px;
    min-height: 100%;
    max-height: 100%;
}

.detail-form-go-detail span {
    font-size: 24px;
    color: #8a8d8f;
}

.detail-form-header-overlay {
    position: absolute;
    inset: 0;
    background: var(--oj-brand-color);
    opacity: 0.8;
}

.detail-form-header-title>*:not(.detail-form-header-overlay) {
    position: relative;
}

.detail-form-go-detail span:hover {
    cursor: pointer;
    font-size: 28px;
    color: var(--oj-brand-color);
}


.detail-form-hide-go-detail {
    display: none;
}

.detail-form-list-content-elements-go-detail {
    min-width: calc(100% - 134px) !important;
    max-width: calc(100% - 134px) !important;
}

.detail-form-switch-form {
    margin-bottom: 0px !important;
}

.detail-form-switch-form .oj-label-group {
    padding-left: 10px !important;
}